# Filename: selection_set_single_object.py
# Purpose: Set property to select only a single object.
# Returns: Bool.

from maptek import vulcan_gui

# select layer from the screen
sel = vulcan_gui.selection("Select Object")
sel.criteria = ["LINE", "POLYGON"]
sel.set_single_object(False)

# do something after selection...
for obj in sel:
    layer_name = obj.layer
    print(layer_name)